<template>
	<el-row class="marginTop20 repayDetail">
		<el-form ref="form" :inline="true" :model="form" label-width="5rem">
			<el-form-item label="申请日期">
				<el-date-picker
					v-model="applyDate"
					type="daterange"
					size="small"
					range-separator="至"
					start-placeholder="开始日期"
					end-placeholder="结束日期"
					value-format="yyyyMMdd"
				></el-date-picker>
			</el-form-item>
			<el-form-item label="到期日期">
				<el-date-picker
					v-model="endDate"
					type="daterange"
					size="small"
					range-separator="至"
					start-placeholder="开始日期"
					end-placeholder="结束日期"
					value-format="yyyyMMdd"
				></el-date-picker>
			</el-form-item>
			<el-form-item label="确认状态">
				<el-select size="mini" v-model="confirmStatus" placeholder="请选择">
					<el-option label="全部" :value="0"></el-option>
					<el-option label="审核中" :value="1"></el-option>
					<el-option label="交易成功" :value="2"></el-option>
					<el-option label="交易失败" :value="3"></el-option>
				</el-select>
			</el-form-item>
		</el-form>
		<ootecoTable class="marginTop30" ref="repayTable" :conf="tableConf" url="biz/repay/list"></ootecoTable>
	</el-row>
</template>

<script>
import ootecoTable from '@com/ooteco_table'
import repayDetail from './data_conf/repayDetail.js'
export default {
	mixins: [$mixin],
	components: { ootecoTable },
	data() {
		return Object.assign({}, utils.deepClone(repayDetail), {
			confirmStatus: 0,
			applyDate: [],
			endDate: [],
			form: {
				applyStartDate: '', // 申请开始日期
				applyEndDate: '', // 申请结束日期
				repayStartDate: '', // 申请结束日期
				repayEndDate: '', // 申请结束日期
				confirmStatus: 0 // 0全部 1未确认 2已确认 3拒绝
			}
		})
	},
	computed: {},
	watch: {
		applyDate(val) {
			this.form.applyStartDate = val[0]
			this.form.applyEndDate = val[1]
			if (this.form.applyStartDate && this.form.applyEndDate) {
				this.$set(this.tableConf, 'params', this.form)
				this.$refs.repayTable.requestData()
			}
		},
		endDate(val) {
			this.form.repayStartDate = val[0]
			this.form.repayEndDate = val[1]
			if (this.form.repayStartDate && this.form.repayEndDate) {
				this.$set(this.tableConf, 'params', this.form)
				this.$refs.repayTable.requestData()
			}
		},
		confirmStatus(val) {
			this.form.confirmStatus = val
			this.$set(this.tableConf, 'params', this.form)
			this.$refs.repayTable.requestData()
		}
	},
	methods: {},
	mounted() {}
}
</script>

<style lang="less">
.repayDetail {
	.el-form-item {
		margin-bottom: 0;
	}
	.cell {
		div {
			text-align: center;
		}
	}
	.el-form-item {
		margin-bottom: 0;
	}
}
</style>
